Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
SelectVolumeAction Class Reference

Traverse the scenegraph and call the selection function for all mesh nodes. More...

`#include <PluginCollection-Selection/Plugin-SelectionMeshObject/MeshObjectSelectionPlugin.hh>`

## Public Member Functions
| SelectVolumeAction (QRegion &_region, MeshObjectSelectionPlugin *_plugin, unsigned int _type, bool _deselection, ACG::GLState &_state)
void | enter (BaseNode *)
void | leave (BaseNode *)
bool | operator() (BaseNode *_node)
| Traverse the scenegraph and call the selection function for all mesh nodes. More...
| SelectVolumeAction (QRegion &_region, SplatCloudObjectSelectionPlugin *_plugin, unsigned int _type, bool _deselection, ACG::GLState &_state)
void | enter (BaseNode *)
void | leave (BaseNode *)
bool | operator() (BaseNode *_node)
| SelectVolumeAction (QRegion &_region, VolumeMeshSelectionPlugin *_plugin, unsigned int _type, bool _deselection, ACG::GLState &_state)
void | enter (BaseNode *)
void | leave (BaseNode *)
bool | operator() (BaseNode *_node)

## Private Attributes
ACG::GLState & | state_
QRegion & | region_
MeshObjectSelectionPlugin * | plugin_
unsigned int | type_
bool | deselection_
SplatCloudObjectSelectionPlugin * | plugin_
VolumeMeshSelectionPlugin * | plugin_

## Detailed Description

Traverse the scenegraph and call the selection function for all mesh nodes.

Traverse the scenegraph and call the selection function for all SplatCloud nodes.

Definition at line 598 of file MeshObjectSelectionPlugin.hh.

## Member Function Documentation

bool SelectVolumeAction::operator() | ( | BaseNode * | _node | ) |

Traverse the scenegraph and call the selection function for all mesh nodes.

Traverse the scenegraph and call the selection function for all SplatCloud nodes.

Definition at line 2017 of file MeshObjectSelectionPlugin.cc.

The documentation for this class was generated from the following files:

- PluginCollection-Selection/Plugin-SelectionMeshObject/MeshObjectSelectionPlugin.hh
- PluginCollection-Selection/Plugin-SelectionSplatCloudObject/SplatCloudObjectSelectionPlugin.hh
- PluginCollection-Selection/Plugin-SelectionVolumeMesh/VolumeMeshSelectionPlugin.hh
- PluginCollection-Selection/Plugin-SelectionMeshObject/MeshObjectSelectionPlugin.cc
- PluginCollection-Selection/Plugin-SelectionSplatCloudObject/SplatCloudObjectSelectionPlugin.cc
- PluginCollection-Selection/Plugin-SelectionVolumeMesh/VolumeMeshSelectionPlugin.cc